Bug 803162 - RFE: Spec file extension .contentspec
RFE: Spec file extension .contentspec
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: CSProcessor (Show other bugs)
1.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lee Newson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-13 23:59 EDT by Joshua Wulf
Modified: 2014-10-19 19:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-01 04:00:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2012-03-13 23:59:39 EDT
Currently the local content spec file has extension .txt

e.g:
Content_Spec_Processor_Guide-post.txt

The .txt extension doesn't make it clear what the file is. I thought it was a README type file until I opened it.

What about using the .spec extension?

So it would be:

Content_Spec_Processor_Guide-post.spec

Then it becomes kind of self-documenting what it is...
Comment 1 Lee Newson 2012-03-14 00:11:07 EDT
can't do this sorry as the RPM files already use the .spec file extension. Perhaps a .contentspec but then that seems rather long for a file extension.
Comment 2 Lee Newson 2012-03-14 00:22:58 EDT
<lnewson> btw jwulf in regards to https://bugzilla.redhat.com/show_bug.cgi?id=803162
<lnewson> I can't use .spec is is already taken as a file extension
<lnewson> which is why i changed it back to .txt
<lnewson> we could do .contentspec
<lnewson> and lol nice qoute
<jwulf> oh yeah, rpm spec files
<jwulf> .cspec ?
<jwulf> although .contentspec is less ambiguous
<jwulf> My_Book-post.contentspec
<jwulf> is fully self-documenting
<jwulf> i can see the manual entry now:
<jwulf> "My_Book-post.contentspec" is exactly what it purports to be - the post-processed content spec for My_Book
<jwulf> :-)
<jwulf> sounds good
<lnewson> yeah my only concern was it seems rather long for a file extension
<lnewson> and i'd thought the same about .cspec
<jwulf> it does, hence my first thought of cspec
<jwulf> but it's unambiguous
<jwulf> self-evident
<jwulf> and the user should hardly ever have to type it
<jwulf> they never have to create that file
<jwulf> and they hardly ever have to use its name explicitly
<jwulf> so i think on balance the clarity outweighs the length
Comment 3 Lee Newson 2012-03-15 18:51:24 EDT
Added in 0.22.3

The client will still check for .txt files when using the push and status commands for compatibility with previous versions.
Comment 4 Joshua Wulf 2012-05-01 04:00:58 EDT
Verified with cspclient-0.23.2-1.

Note You need to log in before you can comment on or make changes to this bug.